<?php

namespace EventPortal\Domain\Handlers;

use Closure;
use EventPortal\Domain\Form\Payload;

class FindOrCreateModel
{
    /**
     * @return mixed
     */
    public function __invoke(Payload $payload, Closure $next)
    {
        $model = $payload->getModel()->firstOrCreate(
            ['email' => $payload->getInput('email')],
            $payload->getInput()
        );

        $payload->replaceModel($model);

        return $next($payload);
    }
}
